[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.Assign

Copies properties from the specified persistent object to the clipboard.

## Declaration

Source position: clipbrd.pp line 190

`public procedure TClipboard.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with the property values copied in the method.

## Description

Assign is an overridden method in TClipboard used to copy properties from the persistent object in Source to the clipboard instance. It provides support for using TPicture and TGraphic types in Source, and calls private methods used to copy the properties specific to the class types. If Source is not one of these class types, the inherited method is called.

## See also

TPersistent.Assign